<?php
session_start();
// ========================================================================================
// Liste des articles à commander
// ========================================================================================
include "library/DB_fct.inc.php";
include "library/_comptaDesign.inc.php";
// ========================================================================================
// Fonctions locales
// ========================================================================================
// -------------------------------------------------------------------
function _menuRight(){
	echo "COMPTA<br>";
	echo "<div class=help>Choisir un compte pour afficher les mouvements.</div>\n";
}
// ========================================================================================
// MAIN()
// ========================================================================================
$userId="";
$pageName="comptaMvtLst.php";
$tableName="cptaJournal";

$headTitle="Liste des mouvements comptables";
$contentTitle="Comptabilité";

// création du n° de panier (pour identifier le panier si on fait une commande)
// Récup ou création du n° de panier (pour identifier le panier si on fait une commande)
(isset($_REQUEST['id'])&&!empty($_REQUEST['id']))?$panierId=$_REQUEST['id']:$panierId=0; // 

_pageHeader($userId);	// entête de page et menu

//========================================================================
// Affichage de la liste
//========================================================================
// -------------------------------------------------------------------
// fonctions locales
// -------------------------------------------------------------------
function _isInTab($tab, $testValue){
	// attention, petit pbm si l'indice = 0
	$indice=-1;
	if(is_array($tab))
	foreach($tab as $key => $val)
		if ($val==$testValue){
			$indice=$key;
			break;
		}
	return $indice;
}
//=======================================================================
// Construction de la requête à afficher, connexion et ouverture.
//=======================================================================
	$connexion=DB_connecter(); 
// -------------------------------------------------------------------
// Gestion du filtre des comptes
$mode=0;
if (isset($_REQUEST['mode'])){
	$mode=$_REQUEST['mode'];
}
if (isset($_REQUEST['numCompte'])){
	$cptNum=$_REQUEST['numCompte'];
	$mode=1;
}else $cptNum=0;
// -------------------------------------------------------------------
	$sqlJournal="SELECT * FROM cptajournal, cptatypcompte 
		WHERE cptajournal.cptNum=cptatypcompte.cptNum ";
	if ($mode==0) // Tout comptes
		$sqlJournal.="";
	if ($mode==1) // Compte spécifique
		$sqlJournal.=" and  cptajournal.cptNum like '$cptNum%'";
	if ($mode==2) // Articles achetés (N, MP & C)
		$sqlJournal.=" and  article.artTypeCode in ('N', 'M', 'C')";
// -------------------------------------------------------------------
	$sqlJournal_id=DB_ouvrirRequete($sqlJournal, $connexion);
	//echo "<br>>".$sqlJournal."<";
	//echo "<br>".mysql_error();

//=======================================================================
// Affichage de la liste et de son filtre
//=======================================================================
// affichage du tableau de filtrage
	echo "<div border=1 align=center><!--Debut de liste-->\n";
	echo "<ul id='filtreList'>";
	echo "<li class='filtreTitre'>Filtres : </li>";
	echo "<li class='filtreItem'>\n"; // affichage du filtre n° de compte à choisir
	
	/*
	<form name="chgPriority" action="./file.php">
   <select name="priority" onChange="this.submit();">
        <option value=1 selected >basse</option>
        <option value=2  >moyenne</option>
        <option value=3  >haute</option>
   </select>
</form> 

<form name="chgStatus" id="chgStatus" action="./file.php">

  <input type="hidden" name="id" value="5">

  <select name="status" onChange="document.chgStatus.submit();">

    <option>
	
<form name="select"  id="select" method="post" action="form.php" enctype="multipart/form-data">
<label>Compétitions: *:</label>
<SELECT name="Operation" onChange="document.select.submit">
<option value="champEquipe">Championnats par équipes</option>
<option value="ChampIndiv">Championnat individuels</option>
<option value="Tournois">tournois</option>
</SELECT>
	*/
		echo "<form id=select method=get >\n"; // affichage du filtre n° de compte à choisir
		echo "<input type=hidden name=userId value=''>\n"; // Alors, on promène le UserId ??? vivement qu'on utilise de variables de session, hmm??
		echo "<select name=numCompte onchange='javascript: submit(this);'>";
			echo "<option value=0 >Choisir</option>\n".
			$sqlComptes="SELECT * FROM cptatypcompte WHERE `cptUsed`='1' ;";
			$sqlComptes_id=DB_ouvrirRequete($sqlComptes, $connexion);
			while ($t_comptes=DB_lireLigne($sqlComptes_id)){
				($t_comptes['cptNum']==$cptNum)?$selected="selected='selected'":$selected="";
				echo "<option value=".$t_comptes['cptNum']." $selected>".$t_comptes['cptNum']."-".$t_comptes['cptDesc']."</option>\n";
			}
		echo "<select name=numCompte>\n";
		echo "</form>";
	echo "</li>";
	echo "<li class='filtreItem'><a href=$pageName?mode=0><span title='comptes ...'>Comptes de vente</span></a></li>";
	echo "<li class='filtreItem'><a href=$pageName?mode=0><span title='comptes ...'>Comptes de débit</span></a></li>";
	echo "<li class='filtreItem'><a href=$pageName?mode=0><span title='comptes ...'>Comptes de crédit</span></a></li>";
	echo "</ul>";
	echo "</div><!-- Fin de liste -->";
// Affichage de la liste commencé -----------------------------------
	echo "<!--Debut de liste-->\n<table border=1 align=center>\n";
	// Ouvrir et tester la requête. y a-t-il qqch à afficher ?
	$t_record=DB_lireLigne($sqlJournal_id);
	if ($t_record){ // si un enregistrement est trouvé :
		// Entête de la liste :
		echo "<tr><th>Num</th><th>Date, heure</th><th>compte</th><th>D/C</th><th>Article</th><th>Valeur</th><th>Desc Compte</th><th>Ref</th><th>Motif</th></tr>\n";
		
		// -- Début de la liste
		$color=1; // pour changer de style (couleur) à chaque ligne
		while ($t_record){
			$artCode=$t_record['artCode']; // récup du code de l'article pour les liens de visu
			$lien =""; // construire le lien pour accéder à l'article
			//$lien ="<a href=\"cdeArtDsp.php?artCode=$artCode&id=$panierId\" >"; // construire le lien pour accéder à l'article
			//(empty($t_record['artPrixHT']))?$prix="N/A":$prix=$t_record['artPrixHT']." €"; // convertir le prixHT
			//($t_record['artTypeCode']=="F")?$categorie="Produit":$categorie="Accessoire"; //convertir la description du type (faudrait-il une table ???)
			
			// définition de la classe de style en fonction du type et du n° de ligne :
			($color)?$color=0:$color=1;
			
			// Affichage d'une ligne
			echo "	<tr class=td$color>";
			echo "<td class=tdCjouNum>".$lien.$t_record['cjourNum']."</a>"."</td>";
			echo "<td class=tdCjourDate>".$lien.$t_record['cjourDate']."</a>"."</td>";
			echo "<td class=tdCptNum>".$lien.$t_record['cptNum']."</a>"."</td>";
			echo "<td class=tdCptSens>".$lien.$t_record['cjourSens']."</a>"."</td>";
			echo "<td class=tdCptArtCode>".$lien.$t_record['artCode']."</a>"."</td>";
			echo "<td class=tdCptValeur>".$lien.$t_record['cjourValeur']."</a>"."</td>";
			echo "<td class=tdCptDesc>".$lien.$t_record['cptDesc']."</a>"."</td>";
			echo "<td class=tdCptRef>".$lien.$t_record['cjourRefNum']."</a>"."</td>";
			echo "<td class=tdCptMotif>".$lien.$t_record['cjourMotif']."</a>"."</td>";
			echo "</tr>\n";
			$t_record=DB_lireLigne($sqlJournal_id);
		}
		// -- Fin de liste
	}else // sinon (aucun enregistrement n'est trouvé)
		echo "<tr><td colspan=100%>aucun enreg trouvé</td></tr>";
	echo "</table>\n<!-- Fin de liste -->\n";
	// Affichage de la liste terminé -------------------------------------
//========================================================================
// fin de page
//========================================================================
_pageFooter(); // pied de page

/*
	Remarques sur le workflow :
	étapes vues sur différents site web :
	- choix des articles et remplissage du panier
	- validation du panier, correction de la liste
*/
?>